(function ($, elementor) {
    "use strict";

    var Quiety = {

        init: function () {

            var widgets = {
                'tt-hero-static.default': Quiety.Banner,
                'tt-portfolio-slider.default': Quiety.Slider,
                'tt-blog-slider.default': Quiety.BlogSlider,
                'tt-tab.default': Quiety.Tabs,
                'tt-tab-two.default': Quiety.Tabs,
                'tt-content-tabs.default': Quiety.TabsHistory,
                'tt-google-map.default': Quiety.GoogleMap,
                'tt-testimonial.default': Quiety.SwiperControls,
                'tt-timeline.default': Quiety.Timeline,
                'tt-testimonial-two.default': Quiety.TestimonialTwo,
                'tt-logo-carousel.default': Quiety.SwiperControls,
                'tt-pricing-table-two.default': Quiety.Pricing,
                'tt-coming-soon.default': Quiety.Counting,
                'tt-countdown.default': Quiety.Counting,
                'tt-button.default': Quiety.popupVideo,
                'tt-popup-video.default': Quiety.popupVideo,
                'quiety_client_logo.default': Quiety.SwiperControls,
                'quiety_image_carousel.default': Quiety.SwiperControls,
                'tt-pricing-box-two.default': Quiety.pricingTableTabs,
                'quiety_about_slider.default': Quiety.SwiperControls,
                'quiety_thumbnail_testimonial.default': Quiety.ThumbnailTestimonials,
                'quiety_table_title.default': Quiety.TableTabsTitle,
                'quiety_team_slider.default': Quiety.SwiperControls,
                'quiety_portfolio_slider.default': Quiety.SwiperControls,
                'quiety_goal_stages.default': Quiety.SwiperControls,
                'tt-icon-box.default': Quiety.IconBoxCarousel,
                'tt-portfolios.default': Quiety.Portfolios,

            };
            $.each(widgets, function (widget, callback) {
                elementor.hooks.addAction('frontend/element_ready/' + widget, callback);
            });

            // Global Script =================
            elementorFrontend.hooks.addAction('frontend/element_ready/global', function ($scope) {
                // imgae infinite slider
                let logoCarousel_3 = $scope.find('.scroller-x');
                if (logoCarousel_3.length > 0) {
                    const scrollers = document.querySelectorAll(".scroller-x");
                    scrollers.forEach(scroller => {
                        scroller.setAttribute("data-animated", true);
                        const scrollerInner = scroller.querySelector(".scroller-x__list");
                        const scrollerContent = Array.from(scrollerInner.children);
                        scrollerContent.forEach(item => {
                            const duplicatedItem = item.cloneNode(true);
                            duplicatedItem.setAttribute("aria-hidden", true);
                            scrollerInner.appendChild(duplicatedItem);
                        });
                    });
                }


            });
        },

        
        SwiperControls: function () {
            var swiper_container = $(".swiper, .swiper-container");
            if (swiper_container.length) {
                swiper_container.each(function () {
                    var t = $(this),
                        i = ($(this).attr("id"), $(this).data("perpage") || 1),
                        a = $(this).data("loop"),
                        e = $(this).data("speed") || 1000,
                        o = $(this).data("space") || 0,
                        l = $(this).data("effect"),
                        c = $(this).data("center"),
                        ef = $(this).data("effect") || 'slide',
                        pl = $(this).data("autoplay"),
                        delay = $(this).data("delay") || 5000,
                        ap = pl == true ? { delay: Number(delay) } : Boolean(false),
                        nex = $(this).data("next"),
                        pre = $(this).data("prev"),
                        pag = $(this).data("pagination"),
                        ptype = $(this).data("paginationtype"),
                        d = $(this).data("direction") || "horizontal",
                        bp = $(this).data("breakpoints");

                    new Swiper(t, {
                        slidesPerView: Number(i),
                        direction: d,
                        spaceBetween: Number(o),
                        loop: Boolean(a),
                        speed: Number(e),
                        breakpoints: Object(bp),
                        centeredSlides: Boolean(c),
                        autoplay: ap,
                        effect: ef,
                        fadeEffect: {
                            crossFade: true
                        },
                        pagination: {
                            el: pag,
                            type: ptype,
                            clickable: !0
                        },
                        navigation: {
                            nextEl: nex,
                            prevEl: pre
                        }
                    })
                })
                swiper_container.hover(function () {
                    (this).swiper.autoplay.stop();
                }, function () {
                    (this).swiper.autoplay.start();
                });
            }
        },

        //Table Title
        TableTabsTitle: function ($scope) {
            $(".crm-monthly").each(function () {
                $(this).on("click", function () {
                    $(this).parents(".crm-pricing-switch-wrapper").find(".crm-checkbox-switch").prop("checked", false);
                });
            });
            $(".crm-yearly").each(function () {
                $(this).on("click", function () {
                    $(this).parents(".crm-pricing-switch-wrapper").find(".crm-checkbox-switch").prop("checked", true);
                });
            });
            $(".crm-pricing-switch").each(function () {
                $(this).on("click", function () {
                    var isBoxChecked = $(this).find(".crm-checkbox-switch").is(":checked");

                    if (isBoxChecked !== true) {
                        $(this).parents(".table").find(".crm_monthly_price").show();
                        $(this).parents(".table").find(".crm_yearly_price").hide();
                    } else {
                        $(this).parents(".table").find(".crm_monthly_price").hide();
                        $(this).parents(".table").find(".crm_yearly_price").show();
                    }
                });
            });

        },

        //feedback slider
        ThumbnailTestimonials: function ($scope) {

            var crmFeedbackSlider = new Swiper('.crm-feedback-slider', {
                spaceBetween: 10,
                autoplay: true,
                speed: 800,
                navigation: {
                    nextEl: '.crm-next-control-outer',
                    prevEl: '.crm-prev-control-outer'
                },
                loop: true,
                loopedSlides: 4
            });
            var crmFeedbackThumbSlider = new Swiper('.crm-feedback-control-slider', {
                spaceBetween: 0,
                centeredSlides: true,
                slidesPerView: 5,
                touchRatio: 0.2,
                slideToClickedSlide: true,
                loop: true,
                speed: 800,
                loopedSlides: 4,
                effect: 'coverflow',
                coverflowEffect: {
                    rotate: 0,
                    slideShadows: false,
                    scale: 1,
                    stretch: 12,
                    depth: 185
                }
            });
            crmFeedbackSlider.controller.control = crmFeedbackThumbSlider;
            crmFeedbackThumbSlider.controller.control = crmFeedbackSlider;
        },


        //================= Image Carousel =================//
        pricingTableTabs: function ($scope) {

            $(".mk-pricing-control li a").each(function () {
                $(this).on("click", function () {
                    $(this).parents(".mk-pricing-control").find('a.active').removeClass("active");
                    $(this).addClass("active");
                });
            });
            $(".mk-pricing-control .mk_monthly_switch").on("click", function () {
                $(".mk_monthly_price").show();
                $(".mk_yearly_price").hide();
                return false;
            });
            $(".mk-pricing-control .mk_yearly_switch").on("click", function () {
                $(".mk_monthly_price").hide();
                $(".mk_yearly_price").show();
                return false;
            }); //mk feedback slider


            //sc pricing component
            if ($(".sc-pricing-switch").length) {
                var pricingSwitchBtn = $(".sc-pricing-switch");
                var dataActiveValue = pricingSwitchBtn.find("button.active").data("value");
                if (dataActiveValue == 'monthly') {
                    $(".sc-pricing-column").find(".pricing-amount.yearly").hide();
                    $(".sc-pricing-column").find(".pricing-amount.monthly").show();
                } else if (dataActiveValue == 'yearly') {
                    $(".sc-pricing-column").find(".pricing-amount.yearly").show();
                    $(".sc-pricing-column").find(".pricing-amount.monthly").hide();
                }
                $(".sc-pricing-switch button").each(function () {
                    $(this).on("click", function () {
                        var dataActiveValue = $(this).data("value");
                        $(this).parents(".sc-pricing-switch").find("button.active").removeClass("active");
                        $(this).addClass("active");
                        if (dataActiveValue == 'monthly') {
                            $(".sc-pricing-column").find(".pricing-amount.yearly").hide();
                            $(".sc-pricing-column").find(".pricing-amount.monthly").show();
                        } else if (dataActiveValue == 'yearly') {
                            $(".sc-pricing-column").find(".pricing-amount.yearly").show();
                            $(".sc-pricing-column").find(".pricing-amount.monthly").hide();
                        }
                    });
                });
            }

            let select_pricing_btn = $scope.find('.select-pricing-btn');

            if (select_pricing_btn.length > 0) {
                var selectedBtn = document.querySelectorAll(".select-pricing-btn");

                selectedBtn.forEach(function (item) {
                    item.addEventListener("click", function () {
                        // Add "active" class to the clicked item
                        item.classList.add("active");

                        // Remove "active" class from sibling items
                        selectedBtn.forEach(function (sibling) {
                            if (sibling !== item) {
                                sibling.classList.remove("active");
                            }
                        });
                    });
                });
                const selectMontlyPricing = document.querySelector("#selectMonthly");
                const selectYearlPricing = document.querySelector("#selectYearly");
                const monthlyPricing = document.querySelectorAll(".qty-price-card__price-monthly");
                const yearlyPricing = document.querySelectorAll(".qty-price-card__price-yearly");
                selectYearlPricing.addEventListener("click", () => {
                    monthlyPricing.forEach((e) => {
                        e.style.cssText = `display: none;`;
                    });
                    yearlyPricing.forEach((e) => {
                        e.style.cssText = `display: flex;`;
                    });
                });
                selectMontlyPricing.addEventListener("click", () => {
                    monthlyPricing.forEach((e) => {
                        e.style.cssText = `display: flex;`;
                    });
                    yearlyPricing.forEach((e) => {
                        e.style.cssText = `display: none;`;
                    });
                });
            }
        },


        popupVideo: function ($scope) {

            let popupYoutube = $scope.find('.popup-youtube');
            if (popupYoutube.length > 0) {
                popupYoutube.magnificPopup({
                    disableOn: 700,
                    type: "iframe",
                    mainClass: "mfp-fade",
                    removalDelay: 160,
                    preloader: false,
                    fixedContentPos: false
                });
            }

        },


        Banner: function ($scope) {
            var element = $scope.find('.animate-element');

            var $scene = element.parallax({
                scalarX: 100,
                scalarY: 100,
            });

            let popupYoutube = $scope.find('.popup-youtube');
            if (popupYoutube.length > 0) {
                popupYoutube.magnificPopup({
                    disableOn: 700,
                    type: "iframe",
                    mainClass: "mfp-fade",
                    removalDelay: 160,
                    preloader: false,
                    fixedContentPos: false
                });
            }

        },


        Tabs: function ($scope) {
            var tabnav = $scope.find('#tt-tabs-nav li');

            $('#tt-tabs-nav li:nth-child(1)').addClass('active');
            $('#tt-tabs-content .content').hide();
            $('#tt-tabs-content .content:nth-child(1)').show();

            // Tab Click function
            tabnav.on('click', function () {
                $('#tt-tabs-nav li').removeClass('active');
                $(this).addClass('active');
                $('#tt-tabs-content .content').hide();

                var activeTab = $(this).find('a').attr('href');
                $(activeTab).fadeIn(600);
                return false;
            });
        },

        TabsHistory: function ($scope) {

            var tabnav = $scope.find('#content-tabs-nav li');

            $('#content-tabs-nav li:nth-child(1)').addClass('active');
            $('#tt-content-tabs-content .content').hide();
            $('#tt-content-tabs-content .content:nth-child(1)').show();

            // Tab Click function
            tabnav.on('click', function () {
                $('#content-tabs-nav li').removeClass('active');
                $(this).addClass('active');
                $('#tt-content-tabs-content .content').hide();

                var activeTab = $(this).find('a').attr('href');
                $(activeTab).fadeIn(400);
                return false;
            });
        },

        Pricing: function ($scope) {
            var pricing = $scope.find('.pricing_wrapper');

            if ($(".pricing_wrapper").length > 0) {
                pricing.each(function () {
                    if ($(window).width() < 991) {
                        return;
                    }

                    $(this).find(".row").append('<div class="indicator"></div>');

                    var leftPos = $(this)
                        .find(".grid")
                        .eq(1)
                        .position().left,
                        column = $(this).find(".grid"),
                        indicator = ".indicator";

                    column.siblings(indicator).css("width", column.outerWidth());
                    column.siblings(indicator).css("left", leftPos);

                    column.on("mouseenter mouseleave", function (event) {
                        if (event.type === "mouseenter") {
                            $(this)
                                .siblings(indicator)
                                .css("left", $(this).position().left);
                        }
                        if (event.type === "mouseleave") {
                            $(this)
                                .siblings(indicator)
                                .css("left", leftPos);
                        }
                    });
                });
            }
        },

        GoogleMap: function ($scope) {
            var map = $scope.find('.gmap3-area');


            map.each(function () {
                var $this = $(this),
                    key = $this.data('key'),
                    lat = $this.data('lat'),
                    lng = $this.data('lng'),
                    mrkr = $this.data('mrkr'),
                    zoom = $this.data('zoom'),
                    scrollwheel = $this.data('scrollwheel') || false;

                $this.gmap3({
                    center: [lat, lng],
                    zoom: zoom,
                    scrollwheel: scrollwheel,
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    styles: [{
                        "featureType": "administrative.country",
                        "elementType": "geometry.fill",
                        "stylers": [{
                            "visibility": "on"
                        }]
                    }]
                })
            });

        },

        Counting: function ($scope) {

            var counting = $scope.find('.countdown');

            counting.each(function (index, value) {
                var count_year = $(this).attr("data-count-year");
                var count_month = $(this).attr("data-count-month");
                var count_day = $(this).attr("data-count-day");
                var count_date = count_year + '/' + count_month + '/' + count_day;
                $(this).countdown(count_date, function (event) {
                    $(this).html(
                        event.strftime('<div class="counting"><span class="CountdownContent">%D<span class="CountdownLabel">Days</span></span><span class="CountdownSeparator">:</span></div><div class="counting"><span class="CountdownContent">%H <span class="CountdownLabel">Hours</span></span><span class="CountdownSeparator">:</span></div><div class="counting"><span class="CountdownContent">%M <span class="CountdownLabel">Minutes</span></span><span class="CountdownSeparator">:</span></div><div class="counting"><span class="CountdownContent">%S <span class="CountdownLabel">Seconds</span></span></div>')
                    );
                });
            });

        },

        Slider: function ($scope) {
            var slideInit = $scope.find('[data-swiper]');

            slideInit.each(function () {
                var swps = document.querySelectorAll('[data-swiper]');

                if (swps.length > 0) {
                    swps.forEach(function (swp) {
                        var config = JSON.parse(swp.getAttribute('data-swiper'));
                        var mySwiper = new Swiper(swp, config);

                        $('.swiper-slide').on('mouseover', function () {
                            mySwiper.autoplay.stop();
                        });

                        $('.swiper-slide').on('mouseout', function () {
                            mySwiper.autoplay.start();
                        });
                    });

                }


            });
        },

        BlogSlider: function ($scope) {
            var slideInit = $scope.find('[data-blog]');

            slideInit.each(function () {
                var swps = document.querySelectorAll('[data-blog]');

                if (swps.length > 0) {
                    swps.forEach(function (swp) {
                        var config = JSON.parse(swp.getAttribute('data-blog'));
                        var mySwiper = new Swiper(swp, config);

                        $('.swiper-slide').on('mouseover', function () {
                            mySwiper.autoplay.stop();
                        });

                        $('.swiper-slide').on('mouseout', function () {
                            mySwiper.autoplay.start();
                        });
                    });
                }
            });
        },

        // Testimonial: function ($scope) {

        //     var slideInit = $scope.find('[data-testi]');

        //     slideInit.each(function () {
        //         var swps = document.querySelectorAll('[data-testi]');

        //         if (swps.length > 0) {
        //             swps.forEach(function (swp) {
        //                 var config = JSON.parse(swp.getAttribute('data-testi'));
        //                 var mySwiper = new Swiper(swp, config);

        //                 $('.swiper-slide').on('mouseover', function () {
        //                     mySwiper.autoplay.stop();
        //                 });

        //                 $('.swiper-slide').on('mouseout', function () {
        //                     mySwiper.autoplay.start();
        //                 });
        //             });

        //         }
        //     });


        //     let dgFeedbSlider = $scope.find('.dg-feedback-slider');
        //     if(dgFeedbSlider.length > 0 ){
        //         var dgFeedbackSlider = new Swiper(".dg-feedback-slider", {
        //             spaceBetween: 24,
        //             autoplay: true,
        //             speed: 700,
        //             loop: true,
        //             breakpoints: {
        //             0: {
        //                 slidesPerView: 1
        //             },
        //             768: {
        //                 slidesPerView: 2
        //             },
        //             1200: {
        //                 slidesPerView: 3
        //             }
        //             }
        //         });
        //     }

        //     // Testimonial Slider 
        //     let caTestimonialSlider = $scope.find('.ca-testimonial-slider');
        //     if( caTestimonialSlider.length > 0 ){
        //         const testimonialSlider = document.querySelector('.ca-testimonial-slider');
        //         if (testimonialSlider) {
        //             const testimonialSliderInit = new Swiper(testimonialSlider, {
        //             loop: true,
        //             slidesPerView: 1,
        //             spaceBetween: 24,
        //             breakpoints: {
        //                 768: {
        //                 slidesPerView: 2
        //                 },
        //                 1200: {
        //                 slidesPerView: 3
        //                 }
        //             },
        //             pagination: {
        //                 el: '.ca-testimonial-slider__pagination',
        //                 clickable: true
        //             }
        //             });
        //         }
        //     }

        // },

        Timeline: function ($scope) {

            var slideInit = $scope.find('[data-timeline]');

            slideInit.each(function () {
                var swps = document.querySelectorAll('[data-timeline]');

                if (swps.length > 0) {
                    swps.forEach(function (swp) {
                        var config = JSON.parse(swp.getAttribute('data-timeline'));
                        var mySwiper = new Swiper(swp, config);

                        $('.swiper-slide').on('mouseover', function () {
                            mySwiper.autoplay.stop();
                        });

                        $('.swiper-slide').on('mouseout', function () {
                            mySwiper.autoplay.start();
                        });
                    });

                }
            });
        },

        TestimonialTwo: function ($scope) {

            var slideInit = $scope.find('.slider-thumbs');

            var swiper = new Swiper('.slider-thumbs', {
                spaceBetween: 20,
                slidesPerView: 3,
                freeMode: true,
                loop: true,
                speed: 700,
            });

            var swiper2 = new Swiper(".slider-top", {
                loop: true,
                speed: 700,
                spaceBetween: 0,
                navigation: {
                    nextEl: ".testi-button-next",
                },
                thumbs: {
                    swiper: swiper,
                },
                effect: 'fade',
                fadeEffect: {
                    crossFade: true
                },
            });

        },



        IconBoxCarousel: function ($scope) {
            let dgFeedbSlider = $scope.find('.icon_box_carousel');
            if (dgFeedbSlider.length > 0) {
                var dgFeedbackSlider = new Swiper(".icon_box_carousel", {
                    spaceBetween: 24,
                    autoplay: true,
                    speed: 700,
                    loop: true,
                    breakpoints: {
                        0: {
                            slidesPerView: 1
                        },
                        768: {
                            slidesPerView: 2
                        },
                        1200: {
                            slidesPerView: 2
                        }
                    }
                });
            }
        },

        Portfolios: function ($scope) {
            if ((typeof $.fn.imagesLoaded !== 'undefined') && (typeof $.fn.isotope !== 'undefined')) {

                $(".portfolio-items").imagesLoaded(function () {
                    var container = $(".portfolio-items");

                    container.isotope({
                        itemSelector: '.quiety-portfolio-item',
                        layoutMode: 'masonry',
                    });

                    $('.portfolio-filter a').on('click', function () {
                        $('.portfolio-filter').find('.current').removeClass('current');
                        $(this).parent().addClass('current');

                        var selector = $(this).attr("data-filter");

                        container.isotope({
                            filter: selector
                        });

                        return false;
                    });
                });
            }
        }

        

    };
    $(window).on('elementor/frontend/init', Quiety.init);
}(jQuery, window.elementorFrontend));