<div class="quiety-accordion" id="<?php echo esc_attr($faq_id); ?>">
    <?php foreach ($accordion as $index => $item) :
        $tab_btn_setting_key = $this->get_repeater_setting_key('accordion_title', '', $index);

        $this->add_render_attribute($tab_btn_setting_key, [
            'class'          => [$index == 0 ? 'accordion-button' : 'accordion-button collapsed'],
            'data-bs-toggle' => 'collapse',
            'data-bs-target' => '#' . 'faq-collapse-' . $faq_o . '-' . $index,
            'aria-expanded'  => $index == 0 ? 'true' : 'false',
            'type'           => 'button',
            'aria-controls'  => $faq_o . '-' . $index
        ]);

        $tab_body_setting_key = $this->get_repeater_setting_key('accordion_content', '', $index);

        $this->add_render_attribute($tab_body_setting_key, [
            'id'             => 'faq-collapse-' . $faq_o . '-' . $index,
            'class'          => [$index == 0 ? 'accordion-collapse collapse show' : 'accordion-collapse collapse'],
            'data-bs-parent' => "#" . $faq_id
        ]);
    ?>

        <div class="accordion-item mb-3 <?php echo $index == 0 ? 'active' : ''; ?>">
            <h2 class="accordion-header" id="<?php echo $faq_o . '-' . $index; ?>">
                <button <?php echo $this->get_render_attribute_string($tab_btn_setting_key); ?>>
                    <?php if (!empty($item['accordion_icon'])) : ?>
                        <div class="accordion__icon-container">
                            <?php \Elementor\Icons_Manager::render_icon($item['accordion_icon'], ['aria-hidden' => 'true']); ?>
                        </div>
                    <?php endif; ?>
                    <?php echo $item['accordion_title']; ?>
                </button>
            </h2>
            <div <?php echo $this->get_render_attribute_string($tab_body_setting_key); ?>>
                <div class="accordion-body">
                    <?php echo $item['accordion_content']; ?>
                </div>
            </div>
        </div>
    <?php endforeach; ?>
</div>