<div <?php $this->print_render_attribute_string('wrapper'); ?>>
    <div class="row">

        <?php
        $paged      = (get_query_var('paged')) ? get_query_var('paged') : 1;
        $args       = array(
            'post_type'      => 'quiety_job',
            'paged'          => $paged,
            'order'          => $settings['order'],
            'orderby'        => $settings['order_by'],
            'posts_per_page' => $settings['posts_per_page'],
        );
        $quiety_job = new \WP_Query($args);


        if ($quiety_job->have_posts()) :
            while ($quiety_job->have_posts()) :
                $quiety_job->the_post();
                $meta = get_post_meta(get_the_ID(), 'quiety_job_options', true);
        ?>

                <div class="col-md-6">
                    <div <?php post_class('tt-job'); ?>>
                        <?php if (! empty($meta['job_type'])) : ?>
                            <p class="tt-job__type">
                                <i class="fas fa-briefcase"></i>
                                <span class="tt-job__type-text"><?php echo esc_html($meta['job_type']); ?></span>
                            </p>
                        <?php endif; ?>

                        <h3 class="tt-job__title">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        </h3>

                        <ul class="tt-job__info">
                            <?php if (! empty($meta['company_name'])) : ?>
                                <li>
                                    <i class="fas fa-building"></i>
                                    <span class="tt-job__info-text"><?php echo esc_html($meta['company_name']); ?></span>
                                </li>
                            <?php endif; ?>

                            <?php if (! empty($meta['company_location'])) : ?>
                                <li>
                                    <i class="fas fa-map-marker-alt"></i>
                                    <span class="tt-job__info-text"><?php echo esc_html($meta['company_location']); ?></span>
                                </li>
                            <?php endif; ?>
                            <?php if (! empty($meta['salary'])) : ?>
                                <li>
                                    <i class="fas fa-wallet"></i>
                                    <span class="tt-job__info-text"><?php echo esc_html($meta['salary']); ?></span>
                                </li>
                            <?php endif; ?>

                        </ul>

                        <div class="tt-job__categories">
                            <?php
                            $terms = get_the_terms(get_the_ID(), 'quiety_job_cat');
                            if ($terms && ! is_wp_error($terms)) :
                                foreach ($terms as $term) { ?>
                                    <span class="tt-job__category"><?php echo $term->name; ?></span>
                                <?php } ?>
                            <?php endif; ?>
                        </div>
                        <?php
                        if (!empty($meta['apply_btn']['text'])) {
                            echo '<a href="' . esc_url($meta['apply_btn']['url']) . '" class="tt-btn btn-outline">' . esc_html($meta['apply_btn']['text']) . '</a>';
                        }
                        ?>
                    </div>
                </div>
                <!-- /.col-md-6 -->
        <?php endwhile;
            wp_reset_postdata();
        endif; ?>
    </div>
</div>