<div class="row g-4">
    <?php
    $paged      = (get_query_var('paged')) ? get_query_var('paged') : 1;
    $args       = array(
        'post_type'      => 'quiety_job',
        'paged'          => $paged,
        'order'          => $settings['order'],
        'orderby'        => $settings['order_by'],
        'posts_per_page' => $settings['posts_per_page'],
    );
    $quiety_job = new \WP_Query($args);


    if ($quiety_job->have_posts()) :
        while ($quiety_job->have_posts()) :
            $quiety_job->the_post();
            $meta = get_post_meta(get_the_ID(), 'quiety_job_options', true); ?>

            <div class="col-md-6 col-xxl-3">
                <div class="job-circular-item bg-white p-2 rounded-3">
                    <div class="home-38-bg rounded-3">
                        <div class="d-flex align-items-center gap-2 flex-wrap mb-3">
                            <?php
                            $terms = get_the_terms(get_the_ID(), 'quiety_job_cat');
                            if(!empty($terms) ){ 
                                foreach($terms as $term) {?>
                                    <a href="<?php echo get_term_link($term->term_id, 'quiety_job_cat') ?>" class="d-inline-block home-38-bg-brand-20 px-3 py-1 rounded-pill home-38-color-brand-900 fs-14 fw-semibold"><?php echo $term->name ?></a>
                                <?php
                                }
                            }
                            ?>

                        </div>
                        <h4 class="fs-20 mb-1"><?php the_title(); ?></h4>
                        <div class="d-flex align-items-center gap-4 mb-4">
                            <div class="d-flex align-items-center gap-1">
                                <span>
                                    <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <g clip-path="url(#clip0_524_5412)">
                                            <path d="M9 4.5V9L7.125 12M16.5 9C16.5 13.1421 13.1421 16.5 9 16.5C4.85786 16.5 1.5 13.1421 1.5 9C1.5 4.85786 4.85786 1.5 9 1.5C13.1421 1.5 16.5 4.85786 16.5 9Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round" />
                                        </g>
                                        <defs>
                                            <clipPath id="clip0_524_5412">
                                                <rect width="18" height="18" fill="white" />
                                            </clipPath>
                                        </defs>
                                    </svg>
                                </span>
                                <p class="fs-12 fw-medium mb-0 pt-1">
                                    <?php Quiety_Helper::time_ago() ?>
                                </p>
                            </div>

                            <?php if(!empty($meta['salary'])) : ?>
                            <div class="d-flex align-items-center gap-1">
                                <span>
                                    <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <g clip-path="url(#clip0_524_5443)">
                                            <path d="M12 6H7.5C7.10218 6 6.72064 6.15804 6.43934 6.43934C6.15804 6.72064 6 7.10218 6 7.5C6 7.89782 6.15804 8.27936 6.43934 8.56066C6.72064 8.84196 7.10218 9 7.5 9H10.5C10.8978 9 11.2794 9.15804 11.5607 9.43934C11.842 9.72064 12 10.1022 12 10.5C12 10.8978 11.842 11.2794 11.5607 11.5607C11.2794 11.842 10.8978 12 10.5 12H6M9 13.5V4.5M16.5 9C16.5 13.1421 13.1421 16.5 9 16.5C4.85786 16.5 1.5 13.1421 1.5 9C1.5 4.85786 4.85786 1.5 9 1.5C13.1421 1.5 16.5 4.85786 16.5 9Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round" />
                                        </g>
                                        <defs>
                                            <clipPath id="clip0_524_5443">
                                                <rect width="18" height="18" fill="white" />
                                            </clipPath>
                                        </defs>
                                    </svg>
                                </span>
                                <p class="fs-12 fw-medium mb-0 pt-1"><?php echo esc_html($meta['salary'])?></p>
                            </div>
                            <?php endif ;?>

                        </div>

                        <?php if(!empty($meta['company_name'])) : ?>
                        <div class="d-flex align-items-center gap-2 mb-2 company_logo_style__">
                            <div class="job_card_author_img">
                                <img src="<?php echo esc_attr($meta['company_logo']['url']) ?>" alt="Image" class="img-fluid">
                            </div>
                            <h6 class="fs-16 mb-0"><?php echo esc_html($meta['company_name']) ?></h6>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($meta['company_location'])) :?>
                        <div class="d-flex align-items-center gap-1 mb-4">
                            <span>
                                <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M13.3333 6.66659C13.3333 9.99525 9.64067 13.4619 8.40067 14.5326C8.28515 14.6194 8.14454 14.6664 8.00001 14.6664C7.85547 14.6664 7.71486 14.6194 7.59934 14.5326C6.35934 13.4619 2.66667 9.99525 2.66667 6.66659C2.66667 5.2521 3.22858 3.89554 4.22877 2.89535C5.22896 1.89516 6.58552 1.33325 8.00001 1.33325C9.41449 1.33325 10.771 1.89516 11.7712 2.89535C12.7714 3.89554 13.3333 5.2521 13.3333 6.66659Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.15556" stroke-linecap="round" stroke-linejoin="round" />
                                    <path d="M8.00001 8.66659C9.10457 8.66659 10 7.77115 10 6.66659C10 5.56202 9.10457 4.66659 8.00001 4.66659C6.89544 4.66659 6.00001 5.56202 6.00001 6.66659C6.00001 7.77115 6.89544 8.66659 8.00001 8.66659Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.15556" stroke-linecap="round" stroke-linejoin="round" />
                                </svg>
                            </span>
                            <p class="fs-14 pt-1 mb-0"><?php echo esc_html($meta['company_location']) ?></p>
                        </div>
                        <?php endif; ?>
                        

                        <?php if(!empty($meta['apply_btn']['text'])) :?>
                        <a href="<?php echo esc_url($meta['apply_btn']['url'])?>" class="btn-38-outline job_btn_styel__"><?php echo esc_html($meta['apply_btn']['text']) ?></a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php
        endwhile;
    endif;
    ?>
</div>