<?php
$args  = array(
	'hide_empty' => true,
	'taxonomy'   => 'portfolio_cat',
);

$terms = get_terms($args);

?>

<div class="quiety-portfolio-filter">
	<ul class="portfolio-filter" role="tablist">
		<li class="current">
			<a href="javascript:void(0)" data-filter="*"><?php esc_html_e('All', 'quiety-core') ?></a>
		</li>
		<?php foreach ($terms as $term) { ?>
			<li>
				<a href="javascript:void(0)" data-filter="<?php echo '.portfolio_cat-' . $term->slug; ?>"><?php echo $term->name; ?></a>
			</li>
		<?php } ?>
	</ul>
</div>

<div class="portfolio-items column-<?php echo $settings['column']; ?>">
	<?php
	$paged   = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args    = array(
		'post_type'      => 'portfolio',
		'paged'          => $paged,
		'order'          => $settings['order'],
		'orderby'        => $settings['order_by'],
		'posts_per_page' => $settings['posts_per_page'],
	);

	$portfolio = new \WP_Query($args);

	$image_size = '';

	if ($settings['column'] == '2') {
		$image_size = 'quiety-portfolio_600x600';
	} else {
		$image_size = 'quiety-portfolio_400x370';
	}

	if ($portfolio->have_posts()) :
		while ($portfolio->have_posts()) :
			$portfolio->the_post();
	?>

			<div <?php post_class('quiety-portfolio-item'); ?>>
				<div class="quiety-portfolio-img">
					<?php the_post_thumbnail($image_size); ?>
					<div class="quiety-portfolio-info">
						<h3 class="quiety-portfolio-title">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
						</h3>
						<div class="quiety-portfolio-categories">
							<?php
							$terms = get_the_terms(get_the_ID(), 'portfolio_cat');
							if ($terms && !is_wp_error($terms)) :
								foreach ($terms as $term) { ?>
									<span class="portfolio-categories"><?php echo $term->name; ?></span>
								<?php } ?>
							<?php endif; ?>
						</div>

					</div>
				</div>
			</div>

	<?php
		endwhile;
		wp_reset_postdata();
	endif;
	?>
</div>