<?php
$args  = array(
    'hide_empty' => true,
    'taxonomy'   => 'portfolio_cat',
);

$terms = get_terms($args);

?>


<div class="row portfolio_layout_5">
    <?php
    $paged   = (get_query_var('paged')) ? get_query_var('paged') : 1;
    $args    = array(
        'post_type'      => 'portfolio',
        'paged'          => $paged,
        'order'          => $settings['order'],
        'orderby'        => $settings['order_by'],
        'posts_per_page' => $settings['posts_per_page']
    );

    if( !empty($settings['select_cat']) ){
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'portfolio_cat',
                'field' => 'id',
                'terms' => $settings['select_cat']
            )
        );
    }

    $portfolio = new \WP_Query($args);

    $image_size = '';

    if ($settings['column'] == '2') {
        $image_size = 'quiety-portfolio_600x600';
    } else {
        $image_size = 'quiety-portfolio_400x370';
    }

    if ($portfolio->have_posts()) :
        while ($portfolio->have_posts()) :
            $portfolio->the_post(); ?>

            <div class="col-lg-4">
                <a href="<?php echo the_permalink(); ?>" class="item_wrapper">
                    <div class="portfolio-icon"> 
                        <?php 
                        $portfolio_meta = get_post_meta(get_the_ID(),'tt_portfolio_options', true);
                        $is_icon = isset($portfolio_meta['portfolio_icon_or_img']) ? $portfolio_meta['portfolio_icon_or_img'] : "" ;
                        if($is_icon == 'icon' && !empty($portfolio_meta['portfolio-icon'])) {
                            echo '<i class="'.esc_attr($portfolio_meta['portfolio-icon']).'"></i>';
                        }
                        elseif($is_icon == 'img' && !empty($portfolio_meta['portfolio-img']['id'])) {
                            echo wp_get_attachment_image($portfolio_meta['portfolio-img']['id']);
                        }
                        ?>
                    </div>
                    <h3 class="portfolio-title__">
                        <?php $title = get_the_title(); echo wp_trim_words($title, '3', ''); ?>
                    </h3>
                    <?php
                    if(!empty($settings['portfolio_readmore_btn'])){
                        echo '<span> '.esc_html($settings['portfolio_readmore_btn']).' <i class="fa-solid fa-arrow-right"></i></span>';
                    }
                    ?>
                </a>
            </div>
            <?php
        endwhile;
        wp_reset_postdata();
    endif;
    ?>
</div>