<div class="dg-pricing-tab text-center">
    <ul class="nav nav-tabs border-0 d-inline-flex bg-white rounded overflow-hidden p-0">   
        <li><a href="#monthly" class="active" data-bs-toggle="tab"><?php echo esc_html( $settings['dg_pricing_button_monthly'] );  ?></a></li>
        <li><a href="#yearly" data-bs-toggle="tab"><?php echo esc_html($settings['dg_pricing_button_yearly']); ?></a></li>
    </ul>
    <div class="tab-content mt-5">
        <div class="tab-pane fade show active" id="monthly">
            <div class="row g-4 justify-content-center">

                <?php if($settings['dg_pricing_column_single']){

                    foreach( $settings['dg_pricing_column_single'] as $item ) { ?>

                        <div class="col-xl-4 col-md-6">
                            <div class="dg-pricing-column text-center bg-white rounded-4 position-relative z-1">
                                <img src="<?php echo esc_url($settings['dg_pricing_column_shape']['url']);  ?>" alt="<?php echo esc_attr($settings['dg_pricing_column_shape']['alt']); ?>" class="position-absolute start-0 top-0 z--1">
                                <?php if(!empty($item['dg_pacakge_badge'])) { ?>
                                    <img src="<?php echo esc_url($item['dg_pacakge_badge']['url']); ?>" alt="badge" class="position-absolute top-0 offer-badge z-2">
                                <?php } ?>
                                
                                <div class="icon-wrapper d-inline-block rounded-circle bg-white">
                                    <img src="<?php echo esc_url($item['dg_pacakge_icon']['url']); ?>" alt="icon">
                                </div>
                                <h5 class="mt-4 mb-3"><?php echo esc_html($item['dg_package_name']); ?></h5>
                                <p class="mb-4"><?php echo esc_html($item['dg_package_content']); ?></p>

                                <?php 
                                $item_contents = preg_split( '/\r\n|[\r\n]/', $item['dg_feature_list'] );
                                if( !empty( $item_contents ) ){ ?>

                                    <ul class="dg-feature-list list-unstyled d-inline-block text-start p-0">
                                        <?php foreach( $item_contents as $content ){ ?>
                                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span><?php echo esc_html($content); ?></li>
                                         <?php } ?>
                                    </ul>

                                <?php } ?>

                                <div class="dg-pricing-amount d-inline-block rounded-4 <?php if( $item['pro_package'] == '1' ) { echo esc_attr("package-pro-bg"); } ?> ">
                                    <h2><?php echo esc_html($item['dg_package_price_monthly']); ?><span class="ms-2 fs-md fw-normal">/<?php echo esc_html($item['dg_package_duration_monthly']); ?></span></h2>
                                    <a href="<?php echo esc_attr($item['dg_package_button_link']); ?>" class="btn dg-outline-btn rounded-pill"><?php echo esc_html($item['dg_package_button_text']); ?></a>
                                </div>
                            </div>
                        </div>

                    <?php }

                } ?>



                <!-- <div class="col-xl-4 col-md-6">
                    <div class="dg-pricing-column text-center bg-white rounded-4 position-relative z-1">
                        <img src="<?php //echo esc_url($settings['dg_pricing_column_shape']['url']); ?>" alt="circle shape" class="position-absolute start-0 top-0 z--1">
                        <img src="assets/img/digital-agency/offer-badge.png" alt="badge" class="position-absolute top-0 offer-badge z-2">
                        <div class="icon-wrapper d-inline-block rounded-circle bg-white bg-color-2">
                            <span class="d-inline-flex align-items-center justify-content-center rounded-circle w-100 h-100">
                                <svg width="29" height="24" viewBox="0 0 29 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M28.9461 2.8982V16.7634C28.9461 20.758 25.7041 24 21.7096 24H7.23647C6.57071 24 5.93389 23.9131 5.31155 23.7394C4.41422 23.4934 4.12476 22.35 4.79052 21.6843L20.1754 6.29938C20.4938 5.98097 20.9714 5.9086 21.4201 5.99544C21.8832 6.08228 22.3898 5.95202 22.7516 5.60467L26.4712 1.87061C27.8317 0.510141 28.9461 0.958806 28.9461 2.8982Z" fill="white"/>
                                    <path opacity="0.4" d="M18.294 5.2863L3.14066 20.4396C2.44595 21.1343 1.2881 20.9606 0.824966 20.0923C0.289462 19.1081 0 17.9647 0 16.7635V2.89824C0 0.958842 1.11443 0.510176 2.4749 1.87065L6.20895 5.61918C6.77341 6.16915 7.69968 6.16915 8.26413 5.61918L13.4455 0.423338C14.0099 -0.141113 14.9362 -0.141113 15.5007 0.423338L18.3085 3.23112C18.8584 3.79557 18.8584 4.72185 18.294 5.2863Z" fill="white"/>
                                </svg>    
                            </span>
                        </div>
                        <h5 class="mt-4 mb-3">Professional Plan</h5>
                        <p class="mb-4 fs-sm">Make your work easier with an integrated<br> properly together.</p>
                        <ul class="dg-feature-list list-unstyled d-inline-block text-start p-0">
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Get answers in real-time</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Report on what matters</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Collaborate seamlessly</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Update plans on the fly</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Every corner of the business</li>
                        </ul>
                        <div class="dg-pricing-amount d-inline-block rounded-4 bg-dg-primary">
                            <h2>$18<span class="ms-2 fs-md fw-normal">/month</span></h2>
                            <a href="#" class="btn dg-outline-btn rounded-pill">Purchase Now</a>
                        </div>
                    </div>
                </div> -->





                <!-- <div class="col-xl-4 col-md-6">
                    <div class="dg-pricing-column text-center bg-white rounded-4 position-relative z-1">
                        <img src="<?php //echo esc_url($settings['dg_pricing_column_shape']['url']); ?>" alt="circle shape" class="position-absolute start-0 top-0 z--1">
                        <div class="icon-wrapper d-inline-block rounded-circle bg-white bg-color-3">
                            <span class="d-inline-flex align-items-center justify-content-center rounded-circle w-100 h-100">
                                <svg width="22" height="24" viewBox="0 0 22 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path opacity="0.4" d="M18.3004 4.40412L4.2121 18.4925C3.68409 19.0205 2.79607 18.9485 2.36406 18.3245C0.876021 16.1524 0 13.5843 0 10.9443V5.67615C0 4.69213 0.744018 3.5761 1.65604 3.20409L8.34021 0.468024C9.08587 0.159037 9.88511 0 10.6923 0C11.4994 0 12.2987 0.159037 13.0443 0.468024L17.8924 2.44807C18.6965 2.77208 18.9005 3.80411 18.3004 4.40412Z" fill="white"/>
                                    <path d="M19.4307 6.05063C20.2107 5.39062 21.3988 5.95463 21.3988 6.97466V10.9468C21.3988 16.8149 17.1387 22.311 11.3185 23.9191C10.9225 24.0271 10.4905 24.0271 10.0825 23.9191C8.39798 23.446 6.82095 22.6513 5.43838 21.579C4.86237 21.135 4.80236 20.295 5.30638 19.779C7.92244 17.1029 15.5786 9.30271 19.4307 6.05063Z" fill="white"/>
                                </svg>    
                            </span>
                        </div>
                        <h5 class="mt-4 mb-3">Enterprise Plan</h5>
                        <p class="mb-4 fs-sm">Make your work easier with an integrated<br> properly together.</p>
                        <ul class="dg-feature-list list-unstyled d-inline-block text-start p-0">
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Get answers in real-time</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Report on what matters</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Collaborate seamlessly</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Update plans on the fly</li>
                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span>Every corner of the business</li>
                        </ul>
                        <div class="dg-pricing-amount d-inline-block rounded-4">
                            <h2>$25<span class="ms-2 fs-md fw-normal">/month</span></h2>
                            <a href="#" class="btn dg-outline-btn rounded-pill">Purchase Now</a>
                        </div>
                    </div>
                </div> -->






            </div>
        </div>
        <div class="tab-pane fade" id="yearly">
            <div class="row g-4 justify-content-center">

                <?php if($settings['dg_pricing_column_single']){

                    foreach( $settings['dg_pricing_column_single'] as $item ) { ?>

                        <div class="col-xl-4 col-md-6">
                            <div class="dg-pricing-column text-center bg-white rounded-4 position-relative z-1">
                                <img src="<?php echo esc_url($settings['dg_pricing_column_shape']['url']);  ?>" alt="<?php echo esc_attr($settings['dg_pricing_column_shape']['alt']); ?>" class="position-absolute start-0 top-0 z--1">
                                <?php if(!empty($item['dg_pacakge_badge'])) { ?>
                                    <img src="<?php echo esc_url($item['dg_pacakge_badge']['url']); ?>" alt="badge" class="position-absolute top-0 offer-badge z-2">
                                <?php } ?>
                                
                                <div class="icon-wrapper d-inline-block rounded-circle bg-white">
                                    <img src="<?php echo esc_url($item['dg_pacakge_icon']['url']); ?>" alt="icon">
                                </div>
                                <h5 class="mt-4 mb-3"><?php echo esc_html($item['dg_package_name']); ?></h5>
                                <p class="mb-4"><?php echo esc_html($item['dg_package_content']); ?></p>

                                <?php 
                                $item_contents = preg_split( '/\r\n|[\r\n]/', $item['dg_feature_list'] );
                                if( !empty( $item_contents ) ){ ?>

                                    <ul class="dg-feature-list list-unstyled d-inline-block text-start p-0">
                                        <?php foreach( $item_contents as $content ){ ?>
                                            <li class="fs-sm"><span class="me-2"><i class="fa-solid fa-check"></i></span><?php echo esc_html($content); ?></li>
                                        <?php } ?>
                                    </ul>

                                <?php } ?>

                                <div class="dg-pricing-amount d-inline-block rounded-4 <?php if( $item['pro_package'] == '1' ) { echo esc_attr("package-pro-bg"); } ?> ">
                                    <h2><?php echo esc_html($item['dg_package_price_yearly']); ?><span class="ms-2 fs-md fw-normal">/<?php echo esc_html($item['dg_package_duration_yearly']); ?></span></h2>
                                    <a href="<?php echo esc_attr($item['dg_package_button_link']); ?>" class="btn dg-outline-btn rounded-pill"><?php echo esc_html($item['dg_package_button_text']); ?></a>
                                </div>
                            </div>
                        </div>

                    <?php }

                } ?>

            </div>
        </div>
    </div>
</div>