<div class="sc-pricing-switch-wrapper">
    <div class="sc-pricing-switch d-inline-flex bg-white rounded overflow-hidden">

        <button type="button" class="active" data-value="monthly"><?php echo esc_html($settings['sc_switch_monthly']); ?></button>
        <button type="button" data-value="yearly"><?php echo esc_html($settings['sc_switch_yearly']); ?></button>
    
    </div>
</div>

<div class="row g-4 justify-content-center">

    <?php if( $settings['sc_item_list'] ) : 

    foreach( $settings['sc_item_list'] as $item ) : ?>

    <div class="col-xl-4 col-md-6">
        <div class="sc-pricing-column rounded <?php if($item['sc_pro'] == 'yes') : echo esc_attr('popular'); endif; ?>">
            <div class="sc-pricing-title d-flex align-items-center">
                
                <?php \Elementor\Icons_Manager::render_icon( $item['sc_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                
                <div class="sc-pricing-title-right ms-3">
                    <h6 class="mb-0 text-dg-color"><?php echo esc_html($item['sc_subtitle']); ?></h6>
                    <h4 class="mb-0 mt-1"><?php echo esc_html($item['sc_title']); ?></h4>
                </div>
            </div>
            <p class="mt-4 mb-4"><?php echo esc_html($item['sc_description']); ?></p>
            <div class="pricing-amount monthly">
                <h1 class="d-inline-block mb-3"><?php echo esc_html($item['sc_monthly_price_amount']); ?></h1>
                <h5 class="d-inline-block text-dg-color fw-normal mb-3">/<?php echo esc_html($item['sc_monthly_price_label']); ?></h5>
            </div>
            <div class="pricing-amount yearly">
                <h1 class="d-inline-block mb-3"><?php echo esc_html($item['sc_yearly_price_amount']); ?></h1>
                <h5 class="d-inline-block text-dg-color fw-normal mb-3">/<?php echo esc_html($item['sc_yearly_price_label']); ?></h5>
            </div>
            <h6 class="mb-4"><?php echo esc_html($item['sc_feature_title']); ?></h6>
            <?php
            $item_contents = preg_split('/\r\n|[\r\n]/', $item['sc_features']);
            if (!empty($item_contents)) {
                echo '<ul class="pricing-features mb-40 list-unstyled">';
                foreach ($item_contents as $content) {
                    echo '<li><span class="me-3"><i class="fa-solid fa-circle-check"></i></span>' . esc_html($content) . '</li>';
                }
                echo '</ul>';
            }
            ?>
            <a href="<?php echo esc_url($item['sc_button_link']); ?>" class="btn <?php if ($item['sc_pro'] == 'yes') { echo esc_attr('btn-primary'); } else { echo esc_attr('sc-outline-btn'); } ?>"><?php echo esc_html($item['sc_button_text']); ?></a>
        </div>
    </div>


    <?php endforeach;

    endif;
    ?>


</div>


