<div class="section-space bgc-background">
    <div class="container-xxl">
        <div class="row justify-content-center">
            <div class="col-12">
                <div class="list-group flex-row justify-content-center margin-bottom-10">
                    <a class="package-btn link d-inline-flex text-center font-weight-bold clr-text :clr-text bgc-white padding-y-3 padding-x-6 rounded-start active" data-bs-toggle="list" href="#monthly-package">
                        Monthly
                    </a>
                    <a class="package-btn link d-inline-flex text-center font-weight-bold clr-text :clr-text bgc-white padding-y-3 padding-x-6 rounded-end" data-bs-toggle="list" href="#yearly-package">
                        Yearly
                    </a>
                </div>
            </div>
            <div class="col-12">
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="monthly-package">
                        <div class="row g-4">
                            <?php
                            if (!empty($s5_pricing_table)) {
                                foreach ($s5_pricing_table as $table) {
                                    if ($table['month_or_year'] == 'monthly') { ?>
                                        <div class="col-md-6">
                                            <div class="package-card bgc-white rounded-4 padding-4 padding-xsm-6 padding-xl-8 d-flex flex-column flex-xl-row align-items-start gap-6 elementor-repeater-item-<?php echo esc_attr($table['_id']) ?>">
                                                <div class="padding-x-6 padding-y-8 bgc-secondary text-center rounded-pill flex-shrink-0">
                                                    <div class="d-flex align-items-start justify-content-center">
                                                        <?php
                                                        if (!empty($table['s5_price'])) { ?>
                                                            <h6 class="heading-6 mb-0 clr-white font-weight-bold">$</h6>
                                                            <h4 class="heading-4 mb-0 clr-white font-weight-bold"><?php echo esc_html($table['s5_price']) ?></h4>
                                                        <?php
                                                        }
                                                        ?>
                                                    </div>
                                                    <?php
                                                    if (!empty($table['s5_duration_label'])) {
                                                        echo '<p class="mb-0 clr-white font-weight-semibold">' . esc_html($table['s5_duration_label']) . '</p>';
                                                    }
                                                    ?>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <?php
                                                    if (!empty($table['s5_package_name'])) {
                                                        echo '<h5 class="heading-5 font-weight-bold clr-text margin-bottom-6">' . esc_html($table['s5_package_name']) . '</h5>';
                                                    }
                                                    if (!empty($table['s5_package_content'])) {
                                                        echo '<p class="clr-paragraph font-weight-bold margin-bottom-8">' . esc_html($table['s5_package_content']) . '</p>';
                                                    }

                                                    $item_contents = preg_split('/\r\n|[\r\n]/', $table['s5_feature_list']);
                                                    if (!empty($item_contents)) {
                                                        echo '<ul class="mk-pricing-list list-unstyled">';
                                                        foreach ($item_contents as $content) {
                                                            echo '<li><span class="me-2"><i class="far fa-check-circle"></i></span>' . esc_html($content) . '</li>';
                                                        }
                                                        echo '</ul>';
                                                    }

                                                    if (!empty($table['s5_purchase_button_label'])) {
                                                        echo '<a href="' . esc_url($table['s5_purchase_button_url']) . '" class="link d-inline-flex text-center font-weight-semibold clr-text :clr-text border rounded-pill padding-y-5 padding-x-10 bgc-white lh-1">' . esc_html($table['s5_purchase_button_label']) . '</a>';
                                                    }
                                                    ?>
                                                </div>
                                                <?php
                                                if (!empty($table['offer_badge'])) { ?>
                                                    <div class="package-card__label d-block text-center clr-white">
                                                        <?php
                                                        $badge_text     = str_replace('{', '<span class="font-weight-bold d-block">', $table['offer_badge']);
                                                        $badge_text2    = str_replace('}', '</span>', $badge_text);
                                                        echo quiety_kses_post($badge_text2);
                                                        ?>
                                                    </div>
                                                <?php
                                                } ?>
                                            </div>
                                        </div>
                            <?php
                                    }
                                }
                            }
                            ?>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="yearly-package">
                        <div class="row g-4">
                            <?php
                            if (!empty($s5_pricing_table)) {
                                foreach ($s5_pricing_table as $table) {
                                    if ($table['month_or_year'] == 'yearly') { ?>
                                        <div class="col-md-6">
                                            <div class="package-card bgc-white rounded-4 padding-4 padding-xsm-6 padding-xl-8 d-flex flex-column flex-xl-row align-items-start gap-6 elementor-repeater-item-<?php echo esc_attr($table['_id']) ?>">
                                                <div class="padding-x-6 padding-y-8 bgc-secondary text-center rounded-pill flex-shrink-0">
                                                    <div class="d-flex align-items-start justify-content-center">
                                                        <?php
                                                        if (!empty($table['s5_price'])) { ?>
                                                            <h6 class="heading-6 mb-0 clr-white font-weight-bold">$</h6>
                                                            <h4 class="heading-4 mb-0 clr-white font-weight-bold"><?php echo esc_html($table['s5_price']) ?></h4>
                                                        <?php
                                                        }
                                                        ?>
                                                    </div>
                                                    <?php
                                                    if (!empty($table['s5_duration_label'])) {
                                                        echo '<p class="mb-0 clr-white font-weight-semibold">' . esc_html($table['s5_duration_label']) . '</p>';
                                                    }
                                                    ?>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <?php
                                                    if (!empty($table['s5_package_name'])) {
                                                        echo '<h5 class="heading-5 font-weight-bold clr-text margin-bottom-6">' . esc_html($table['s5_package_name']) . '</h5>';
                                                    }
                                                    if (!empty($table['s5_package_content'])) {
                                                        echo '<p class="clr-paragraph font-weight-bold margin-bottom-8">' . esc_html($table['s5_package_content']) . '</p>';
                                                    }

                                                    $item_contents = preg_split('/\r\n|[\r\n]/', $table['s5_feature_list']);
                                                    if (!empty($item_contents)) {
                                                        echo '<ul class="mk-pricing-list list-unstyled">';
                                                        foreach ($item_contents as $content) {
                                                            echo '<li><span class="me-2"><i class="far fa-check-circle"></i></span>' . esc_html($content) . '</li>';
                                                        }
                                                        echo '</ul>';
                                                    }

                                                    if (!empty($table['s5_purchase_button_label'])) {
                                                        echo '<a href="' . esc_url($table['s5_purchase_button_url']) . '" class="link d-inline-flex text-center font-weight-semibold clr-text :clr-text border rounded-pill padding-y-5 padding-x-10 bgc-white lh-1">' . esc_html($table['s5_purchase_button_label']) . '</a>';
                                                    }
                                                    ?>
                                                </div>
                                                <?php
                                                if (!empty($table['offer_badge'])) { ?>
                                                    <div class="package-card__label d-block text-center clr-white">
                                                        <?php
                                                        $badge_text     = str_replace('{', '<span class="font-weight-bold d-block">', $table['offer_badge']);
                                                        $badge_text2    = str_replace('}', '</span>', $badge_text);
                                                        echo quiety_kses_post($badge_text2);
                                                        ?>
                                                    </div>
                                                <?php
                                                } ?>
                                            </div>
                                        </div>
                            <?php
                                    }
                                }
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>