<div class="section-space-y">
    <div class="section-space-sm-bottom">
        <div class="row g-4 align-items-md-center justify-content-xxl-between">
            <div class="col-md-5 col-lg-4 col-xl-12">
                <div class="text-md-end">
                    <div class="btn-group">
                        <button type="button" class="btn select-pricing-btn active" id="selectMonthly">
                            <?php echo esc_html($settings['sc_switch_monthly']); ?>
                        </button>
                        <button type="button" class="btn select-pricing-btn" id="selectYearly">
                            <?php echo esc_html($settings['sc_switch_yearly']); ?>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row g-4">
            <?php
            foreach ($settings['sc_item_list'] as $value) { ?>

                <div class="col-md-6 col-lg-4">
                    <div class="qty-price-card">
                        <div class="qty-price-card__head">
                            <div class="qty-price-card__head-icon flex-shrink-0">
                                <img src="<?php echo $value['feature_image']['url']; ?>" alt="price icon" class="img-fluid">
                            </div>
                            <div class="qty-price-card__title flex-grow-1">
                                <span class="qty-price-card__title-sub">
                                    <?php echo esc_html($value['sc_subtitle']) ?>
                                </span>
                                <span class="qty-price-card__title-name">
                                    <?php echo esc_html($value['sc_title']) ?>
                                </span>
                            </div>
                        </div>
                        <p class="qty-price-card__details">
                            <?php echo esc_html($value['sc_description']) ?>
                        </p>

                        <div class="qty-price-card__price qty-price-card__price-monthly">
                            <span class="qty-price-card__price-is">
                                <?php
                                    echo esc_html($value['sc_monthly_price_amount']);
                                ?>
                            </span>
                            <span class="qty-price-card__price-text">
                                <?php echo esc_html($value['sc_monthly_price_label']); ?>
                            </span>
                        </div>
                        <div class="qty-price-card__price qty-price-card__price-yearly">
                            <span class="qty-price-card__price-is">
                                <?php echo esc_html($value['sc_yearly_price_amount']) ?>
                            </span>
                            <span class="qty-price-card__price-text">
                            <?php echo esc_html($value['sc_yearly_price_label']) ?>
                            </span>
                        </div>

                        <span class="qty-price-card__feature-title">
                            <?php echo esc_html($value['sc_feature_title']) ?>
                        </span>

                        <?php
                        $item_contents = preg_split('/\r\n|[\r\n]/', $value['sc_features']);
                        if (!empty($item_contents)) {
                            echo '<ul class="list gap-3">';
                            foreach ($item_contents as $content) { ?>
                                <li>
                                    <div class="d-flex aling-items-center gap-3">
                                        <span class="flex-shrink-0 qty-price-card__feature-icon"><i class="fa-solid fa-circle-check"></i></span>
                                        <span class="d-block flex-grow-1 qty-price-card__feature-text"><?php echo esc_html($content) ?></span>
                                    </div>
                                </li>
                        <?php
                            }
                            echo '</ul>';
                        }
                        ?>

                        <a href="#" class="qty-price-card__btn">
                            <span class="qty-price-card__btn-content">
                                <img src="<?php echo $value['more_button_image']['url']; ?>" alt="image" class="img-fluid">
                            </span>
                        </a>
                    </div>
                </div>
            <?php
            }
            ?>
        </div>
    </div>
</div>