<div class="job-tab">
    <div class="service-tabs">
        <ul
            class="nav nav-pills d-flex justify-content-center"
            id="pills-tab"
            role="tablist">
            <?php
            $tab_item_col = array_column($tab2_item, 'list_title');
            $getCats      = array_unique($tab_item_col);
            $tab_data     = return_tab_data($getCats, $tab2_item, 'list_title');
            if (!empty($getCats)) {
                foreach ($getCats as $key => $item) {
                    $tab_id = str_replace(' ', '', strtolower($item));
                    $tab_id = str_replace('/', '', strtolower($tab_id));
                    $active = $key == 0 ? 'active' : '';
            ?>
                    <li class="nav-item" role="presentation">
                        <a
                            class="btn_title_style__ <?php echo esc_attr($active) ?> me-4" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#<?php echo esc_html($tab_id) ?>" type="button" role="tab" aria-controls="pills-home" aria-selected="true">
                            <span><?php echo esc_html($item) ?></span>
                        </a>
                    </li>
            <?php
                }
            }
            ?>
        </ul>
    </div>
    <div class="tab-content" id="pills-tabContent">
        <?php
        if (!empty($tab_data)) {
            $inc = 1;
            foreach ($tab_data as $key => $tab_item) {
                $item_id = str_replace("_", '', strtolower($key));
                $item_id = str_replace("/", '', strtolower($item_id));
                $active_ = $inc == 1 ? 'show active' : '';
        ?>
                <div class="tab-pane fade <?php echo esc_attr($active_) ?>" id="<?php echo esc_attr($item_id) ?>" role="tabpanel" aria-labelledby="pills-home-tab">
                    <div class="tab-content-wrapper pt-60">
                        <div class="row justify-content-center g-4">
                            <?php
                            if (!empty($tab_item)) {
                                foreach ($tab_item as $key => $list) {
                                    $show = $key == 0 ? 'show' : '';
                            ?>
                                    <div class="col-md-6 col-xl-4">
                                        <div class="hire-item bg-white p-2 rounded-3">
                                            <div class="home-38-bg p-4 rounded-3">
                                                <div class="d-flex align-items-center gap-3 mb-3">
                                                    <div class="bg-white p-2 rounded-circle">
                                                        <?php echo wp_get_attachment_image( $list['author_image']['id'], 'full','', ['class' => 'img-fluid rounded-circle'] ) ;?>
                                                    </div>
                                                    <div>
                                                        <h6 class="fs-24 mb-0"><?php echo esc_html($list['author_name']) ?></h6>
                                                        <p class="fw-medium mb-0"><?php echo esc_html($list['author_designation']) ?></p>
                                                    </div>
                                                </div>
                                                <div class="d-flex align-items-center justify-content-between gap-4 flex-wrap flex-lg-nowrap mb-4">
                                                    <div class="px-3 py-1 rounded-2 border w-100">
                                                        <p class="fs-14 fw-medium mb-0"><?php echo esc_html__("Availability","quiety-core") ?></p>
                                                        <div class="d-flex align-items-center gap-1 mt-n-8">
                                                            <span>
                                                                <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                    <g clip-path="url(#clip0_524_5412)">
                                                                        <path d="M9 4.5V9L7.125 12M16.5 9C16.5 13.1421 13.1421 16.5 9 16.5C4.85786 16.5 1.5 13.1421 1.5 9C1.5 4.85786 4.85786 1.5 9 1.5C13.1421 1.5 16.5 4.85786 16.5 9Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></path>
                                                                    </g>
                                                                    <defs>
                                                                        <clipPath id="clip0_524_5412">
                                                                            <rect width="18" height="18" fill="white"></rect>
                                                                        </clipPath>
                                                                    </defs>
                                                                </svg>
                                                            </span>
                                                            <h6 class="fs-16 text-black text-opacity-75 fw-medium mb-0 pt-1"><?php echo esc_html($list['tab_work_title']) ?></h6>
                                                        </div>
                                                    </div>
                                                    <div class="px-3 py-1 rounded-2 border w-100">
                                                        <p class="fs-14 fw-medium mb-0"><?php echo esc_html__("Location","quiety-core") ?></p>
                                                        <div class="d-flex align-items-center gap-1 mt-n-8">
                                                            <span>
                                                                <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                    <path d="M13.3333 6.66659C13.3333 9.99525 9.64063 13.4619 8.40063 14.5326C8.28511 14.6194 8.14449 14.6664 7.99996 14.6664C7.85543 14.6664 7.71481 14.6194 7.59929 14.5326C6.35929 13.4619 2.66663 9.99525 2.66663 6.66659C2.66663 5.2521 3.22853 3.89554 4.22872 2.89535C5.22892 1.89516 6.58547 1.33325 7.99996 1.33325C9.41445 1.33325 10.771 1.89516 11.7712 2.89535C12.7714 3.89554 13.3333 5.2521 13.3333 6.66659Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.15556" stroke-linecap="round" stroke-linejoin="round" />
                                                                    <path d="M7.99996 8.66659C9.10453 8.66659 9.99996 7.77115 9.99996 6.66659C9.99996 5.56202 9.10453 4.66659 7.99996 4.66659C6.89539 4.66659 5.99996 5.56202 5.99996 6.66659C5.99996 7.77115 6.89539 8.66659 7.99996 8.66659Z" stroke="#251C29" stroke-opacity="0.7" stroke-width="1.15556" stroke-linecap="round" stroke-linejoin="round" />
                                                                </svg>
                                                            </span>
                                                            <h6 class="fs-16 text-black text-opacity-75 fw-medium mb-0 pt-1"><?php echo esc_html($list['tab_location']) ?></h6>
                                                        </div>
                                                    </div>
                                                </div>
                                                <h6 class="text-black text-opacity-50 mb-2"><?php echo esc_html__("Tags","quiety-core")?></h6>

                                                <?php
                                                $item_contents = preg_split( '/\r\n|[\r\n]/', $list['list_items'] );
                                                if( !empty( $item_contents ) ){
                                                    echo '<div class="d-flex align-items-center gap-2 flex-wrap flex-sm-nowrap mb-4">';
                                                    foreach( $item_contents as $content ){
                                                        echo '<a href="" class="hire-tag w-100 d-inline-block text-body px-3 py-1 rounded-pill fs-14 fw-semibold border text-center">'. esc_html( $content ) .'</a>';
                                                    }
                                                    echo '</div>';
                                                } 
                                                
                                                if(!empty($list['tab_btn'])) {
                                                    echo '<a href=" '.esc_url($list['tab_btn_url']['url']).' " class="btn btn-sm btn-38-outline text-black fw-medium rounded-5">' .$list['tab_btn']. '</a>';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                    </div>
                            <?php
                                }
                            }
                            ?>
                        </div>
                    </div>
                </div>
        <?php
                $inc++;
            }
        }
        ?>
    </div>
</div>