<div class="tt-testimonial-wrapper">

	<div class="swiper overflow-hidden" 
		<?php
		echo quiety_swiper_attrebutes(
			$show_items_desktop,
			$loop,
			$autoplay,
			$autoplay_time,
			$speed,
			$item_space['size'],
			$show_items_tablet,
			$show_items_mobile,
			'',
			'',
			'.testi-next',
			'.testi-prev'
		) ?>>
		<div class="swiper-wrapper">
			<?php if (is_array($testimonials)) :
				foreach ($testimonials as $testimonial) : ?>
					<?php
					if ($testimonial['image'] != '') {
						$avatar = $testimonial['image']['url'];
					}
					?>
					<div class="swiper-slide">
						<div class="testimonial style-three">
							<?php
							$rating = $testimonial['rating'];
							$this->add_render_attribute('star-rating', 'class', 'tt-star-rating tt-star-' . esc_attr($rating));

							$rating_markup = "<div class='star-rating tt-star-" . $rating . "'>\n";
							$rating_markup .= "<span class=\"tt-star-1 fa-star\"></span>\n";
							$rating_markup .= "<span class=\"tt-star-2 fa-star\"></span>\n";
							$rating_markup .= "<span class=\"tt-star-3 fa-star\"></span>\n";
							$rating_markup .= "<span class=\"tt-star-4 fa-star\"></span>\n";
							$rating_markup .= "<span class=\"tt-star-5 fa-star\"></span>\n";
							$rating_markup .= "</div>";
							?>

							<?php if (!empty($settings['quote_image']['url']) && 'yes' == $settings['enable_quote']) : ?>
								<img class="quote-icon" src="<?php echo esc_url($settings['quote_image']['url']); ?>" alt="<?php echo esc_attr($testimonial['name']); ?>">
							<?php endif; ?>


							<?php if (!empty($testimonial['review_content'])) : ?>
								<p>
									<?php echo $testimonial['review_content']; ?>
								</p>
							<?php endif; ?>

							<div class="testimonial-content-wrapper">
								<?php if (!empty($avatar)) : ?>
									<div class="avatar">
										<img class="author-image" src="<?php echo esc_url($avatar) ?>" alt="<?php echo esc_attr($testimonial['name']) ?>" height="60" width="60">
									</div>
								<?php endif; ?>

								<div class="bio-wrapper">
									<?php if (!empty($testimonial['name'])) : ?>
										<h4 class="name"><?php echo $testimonial['name']; ?></h4>
									<?php endif; ?>

									<?php if (!empty($testimonial['designation'])) : ?>
										<span class="designation"><?php echo $testimonial['designation']; ?></span>
									<?php endif; ?>

									<?php echo $rating_markup; ?>
								</div>
							</div>
							<!-- /.testimonial-content-inner -->
						</div>
					</div>
					<!-- /.swiper-slide -->
			<?php
				endforeach;
			endif;
			?>
		</div>
		<!-- /.swiper-wrapper -->
	</div>

	<?php if ($settings['navigation'] == 'yes') : ?>
		<div class="slider-control">
			<div class="testi-prev">
				<i class="fas fa-chevron-left"></i>
			</div>

			<div class="testi-next">
				<i class="fas fa-chevron-right"></i>
			</div>
		</div>
		<!-- /.slider-control -->
	<?php endif; ?>

</div>
<!-- /.tt-testimonial-wrapper -->