<?php
//Image Size
add_image_size( 'quiety_202x202', 202, 202, true ); //Testimonials 07
add_image_size( 'quiety_416x275', 416, 275, true ); //Blog 06
add_image_size( 'quiety_430x500', 430, 500, true ); //Testimonials 08
add_image_size( 'quiety_55x55', 55, 55, true ); //Testimonials 08
add_image_size( 'quiety_48x48', 48, 48, true ); //Testimonials 09
add_image_size( 'col-lg-4', 416, 360, true ); //Testimonials 09
add_image_size( 'blog_laynine_274x316', 274, 316, true ); //blog layout 09


function quiety_addons_get_contact_form7_forms(){
    $forms = get_posts( 'post_type=wpcf7_contact_form&posts_per_page=-1' );

    $results = array();
    if ( $forms ) {
        $results[] = __( 'Select A Form', 'quiety-core' );
        foreach ( $forms as $form ) {
            $results[ $form->ID ] = $form->post_title;
        }
    } else {
        $results[] =  __( 'No contact forms found', 'quiety-core' ) ;
    }

    return $results;
}


// Tab Return Data
function return_tab_data( $getCats, $event_schedule_cats, $tab_title ) {
    $y = [];
    foreach ( $getCats as $val ) {

        $t = [];
        foreach( $event_schedule_cats as $data ) {
            if( $data[$tab_title] == $val ) {
                $t[] = $data;
            }
        }
        $y[str_replace(' ', '_', $val)] = $t;
    }

    return $y;
}

// Category array
function quiety_cat_array( $term = 'category' ) {
    $cats = get_terms( array(
        'taxonomy' => $term,
        'hide_empty' => false
    ));

    $cat_array = [];
    foreach ($cats as $cat) {
        $cat_array[$cat->term_id] = $cat->name;
    }
    return $cat_array;
}

/**
 * Swiper Slider attrebutes
 */


if (!function_exists('quiety_swiper_attrebutes')) {
    function quiety_swiper_attrebutes($perpage, $loop = "yes", $autoplay = "yes", $slidedelay = "5000", $slidespeed = "1000", $itemspace = "24", $tablet_items = "2", $show_items_mobile = "1", $pagination_type = '', $pagination_el = '', $navigation_next = '', $navigation_prev = '', $center_slide = false)
    {
        $carousel_loop  = $loop == 'yes' ? 'true' : 'false';
        $dataAutoplay   = $autoplay == 'yes' ? 'true' : 'false';
        $dataDelay      = $autoplay == 'yes' ? 'data-delay="' . esc_attr($slidedelay) . '" ' : '';
        $paginationType = !empty($pagination_type) ? 'data-paginationtype="' . esc_attr($pagination_type) . '" ' : '';
        $paginationEl   = !empty($pagination_el) ? 'data-pagination="' . esc_attr($pagination_el) . '" ' : '';
        $navNext        = !empty($navigation_next) ? 'data-next="' . esc_attr($navigation_next) . '" ' : '';
        $navPrev        = !empty($navigation_prev) ? 'data-prev="' . esc_attr($navigation_prev) . '" ' : '';
        $centerSlide    = $center_slide ? 'data-center="true" ' : '';

        $attributes = 'data-perpage="' . esc_attr($perpage) . '" data-loop="' . esc_attr($carousel_loop) . '" data-autoplay="' . esc_attr($dataAutoplay) . '" ' . $dataDelay . 'data-speed="' . esc_attr($slidespeed) . '" data-space="' . esc_attr($itemspace) . '" ' . $paginationType . $paginationEl . $navNext . $navPrev . $centerSlide;
        $attributes .= ' data-breakpoints=\'{"1440": {"slidesPerView": ' . esc_attr($perpage) . '}, "1024": {"slidesPerView": ' . esc_attr($perpage) . '}, "768": {"slidesPerView": ' . esc_attr($tablet_items) . '}, "360": {"slidesPerView": ' . esc_attr($show_items_mobile) . '}}\''; 

        return $attributes;
    }
}
