<?php
/**
 * Job single.
 *
 * @package Quiety_Core
 * @since   1.0.0
 */
get_header();
$meta           = get_post_meta( get_the_ID(), 'quiety_job_options', true );
$form_link      = quiety_option('support_form');
$email          = quiety_option('support_email');
$chat           = quiety_option('support_chat');
$back_btn       = quiety_option('back_btn_switcher', '1');
$back_btn_label = quiety_option('back_btn_label', __('Back', 'quiety'));
?>
	<section class="support_details_area">
		<div class="container">
			<div class="support-single">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php if ( has_post_thumbnail() ) { ?>
						<div class="support-feature-image">
							<?php the_post_thumbnail( 'quiety-job-single' ); ?>
						</div>
					<?php } ?>
					<div class="content-inner">
						<div class="row">
							<div class="col-md-4">
								<?php
                                Quiety_Support::related();

                                if ( !empty($form_link || $email || $chat )) {
                                    ?>
                                    <ul class="support-contact-info">
                                        <?php
                                        if ( !empty( $form_link) ) {
                                            echo '<li><i class="far fa-file-alt"></i>'.esc_html($form_link).'</li>';
                                        }
                                        if ( !empty( $email) ) {
                                            echo '<li><i class="far fa-envelope"></i>'.esc_html($email).'</li>';
                                        }
                                        if ( !empty( $chat) ) {
                                            echo '<li><i class="far fa-comment-alt"></i>'.esc_html($chat).'</li>';
                                        }
                                        ?>
								    </ul>
                                    <?php
                                }
                                ?>
							</div>
							<div class="col-md-8">
								<div class="support-content">
									<h1 class="support-title"><?php esc_html(the_title()); ?></h1>
									<!-- /.support-title -->
									<?php the_content();
									
									if($back_btn == '1' && !empty($back_btn_label) ){
										echo '<button id="quiety_back_button" class="tt-btn nav-btn mt-3">'. esc_html($back_btn_label) .'</button>';
									} ?>
								</div>
								<!-- /.support-content -->
								
							</div>
							<!-- /.col-md-8 -->
						</div>
						<!-- /.row -->
					</div><!-- /.content-inner -->

				<?php endwhile;
				wp_reset_postdata();
				?>
			</div><!-- .job-single -->
		</div>
		<!-- /.container -->
	</section>
	<?php
?>


<?php get_footer();
