<?php
// Disable regenerating images while importing media
add_filter( 'ocdi/regenerate_thumbnails_in_content_import', '__return_false' );
add_filter( 'ocdi/disable_pt_branding', '__return_true' );

// Change some options for the jQuery modal window
function quiety_ocdi_confirmation_dialog_options ( $options ) {
    return array_merge( $options, array(
        'width'       => 400,
        'dialogClass' => 'wp-dialog',
        'resizable'   => false,
        'height'      => 'auto',
        'modal'       => true,
    ) );
}
add_filter( 'ocdi/confirmation_dialog_options', 'quiety_ocdi_confirmation_dialog_options', 10, 1 );

function quiety_ocdi_intro_text_( $default_text ) {
    $default_text .= '<div class="ocdi_custom-intro-text notice notice-info inline">';
    $default_text .= sprintf (
        '%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        esc_html__( 'Install and activate all ', 'quiety' ),
        get_admin_url(null, 'themes.php?page=tgmpa-install-plugins' ),
        esc_html__( 'required plugins', 'quiety' ),
        esc_html__( 'before you click on the "Import" button.', 'quiety' )
    );
    $default_text .= sprintf (
        ' %1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        esc_html__( 'You will find all the pages in ', 'quiety' ),
        get_admin_url(null, 'edit.php?post_type=page' ),
        esc_html__( 'Pages.', 'quiety' ),
        esc_html__( 'Other pages will be imported along with the main Homepage.', 'quiety' )
    );
    $default_text .= '<br>';
    $default_text .= sprintf (
        '%1$s <a href="%2$s" target="_blank">%3$s</a>',
        esc_html__( 'If you fail to import the demo data, follow the alternative way', 'quiety' ),
        'https://bit.ly/3j3Eo84',
        esc_html__( 'here.', 'quiety' )
    );
    $default_text .= '</div>';

    return $default_text;
}
add_filter( 'ocdi/plugin_intro_text', 'quiety_ocdi_intro_text_' );



// OneClick Demo Importer
add_filter( 'ocdi/import_files', 'quiety_import_files' );
function quiety_import_files() {
    return array (

        array(
            'import_file_name'             => esc_html__( 'Saas Company 1', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/1_saas_company.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Saas Company 2', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/2_saas_company_2.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-saas-two/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Desktop App', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/3_desktop_home.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-desktop-app/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'App Landing', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/4_app_landing.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-app-landing/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Software Application', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/5_software_application.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-software-application/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Startup Agency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/6_startup_agency.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-startup-agency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Data Analysis', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/7_data_analysis.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-data-analysis/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'App Landing Two', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/8_app_landing_2.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-app-landing-two/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'IT Solution', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/9_it_solution.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-it-solution/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Cyber Security', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/10_cyber_security.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/cyber-security/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Crypto Currency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/11_crypto_currency.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-crypto-currency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Game Solutions', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/12_game_solutions.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/game-solutions/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Payment Gateway', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/13_payment_getaway.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/payment-getaway/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Digital Marketing', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/14_digital-marketing.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/digital-marketing/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Conference & Event', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/15_conference_event.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/conference-event/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Quiety Insurance', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/16_quiety_insurance.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/quiety-insurance/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Sass Marketing', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/17_saas_marketing.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/sass-marketing/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__( 'Customer Relationship Management', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/18_crm_demo.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-crm/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__( 'Help Desk', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/19_help_desk_demo.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-help-desk/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__( 'Digital Agency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/20_digital_agency_demo.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-digital-agency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__( 'Software Company', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/21_software_demo.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/home-software-company/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Agency Home', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/22_agency_home.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/agency-home/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('IT Company', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/23_IT_company.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/it-company/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Creative Agency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/24_creative_agency.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/creative-agency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Marketing', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/25_marketing.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/marketing/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Strategy', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/26_strategy.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/strategy/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('AI Home', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/27_ai.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/ai-home/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Risk Management', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/27_risk_management.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/risk-management/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Payment Gateway', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/payment_gateway.jpg',
            'preview_url'                  => 'https://quiety-wp.themetags.com/payment-gateway/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Creative Agency 02', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/creative-agency.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/creative-agency-02/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Corporate Agency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/corporate-agency.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/corporate-agency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Marketplace Agency', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/marketplace-agency.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/marketplace-agency/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('LMS Home', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/lms-home.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/lms-home/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Job Finder', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/job-finder.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/job-finder/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),
        array(
            'import_file_name'             => esc_html__('Job Marketing', 'quiety' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/job-marketing.png',
            'preview_url'                  => 'https://quiety-wp.themetags.com/job-marketing/',
            'local_import_json'            => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'tt_framework',
                ),
            ),
        ),

    );
}

/**
 * Adding local_import_json and import_json param supports.
 */
if (!function_exists('prefix_after_content_import_execution')) {
    function prefix_after_content_import_execution($selected_import_files, $import_files, $selected_index)
    {

        $downloader = new OCDI\Downloader();

        if (!empty($import_files[$selected_index]['import_json'])) {

            foreach ($import_files[$selected_index]['import_json'] as $index => $import) {
                $file_path = $downloader->download_file($import['file_url'], 'demo-import-file-' . $index . '-' . date('Y-m-d__H-i-s') . '.json');
                $file_raw  = OCDI\Helpers::data_from_file($file_path);
                update_option($import['option_name'], json_decode($file_raw, true));
            }
        } else if (!empty($import_files[$selected_index]['local_import_json'])) {

            foreach ($import_files[$selected_index]['local_import_json'] as $index => $import) {
                $file_path = $import['file_path'];
                $file_raw  = OCDI\Helpers::data_from_file($file_path);
                update_option($import['option_name'], json_decode($file_raw, true));
            }
        }
    }
    add_action('ocdi/after_content_import_execution', 'prefix_after_content_import_execution', 3, 99);
}

function quiety_after_import_setup($selected_import) {

    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array (
            'primary' => $main_menu->term_id,
        )
    );

    // Disable Elementor's Default Colors and Default Fonts
    update_option( 'elementor_disable_color_schemes', 'yes' );
    update_option( 'elementor_disable_typography_schemes', 'yes' );
    update_option( 'elementor_global_image_lightbox', '' );

	// Assign front page and posts page (blog page).
	if ( 'Saas Company 1' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home' );
	}

	if ( 'Saas Company 2' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Saas Two' );
	}

	if ( 'Desktop App' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Desktop App' );
	}

	if ( 'App Landing' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home App Landing' );
	}

	if ( 'Software Application' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Software Application' );
	}

	if ( 'Startup Agency' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Startup Agency' );
	}

	if ( 'Data Analysis' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Data Analysis' );
	}

	if ( 'App Landing Two' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home App Landing Two' );
	}

	if ( 'IT Solution' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home IT Solution' );
	}

	if ( 'Cyber Security' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Cyber Security' );
	}

	if ( 'Crypto Currency' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home Crypto Currency' );
	}

	if ( 'Game Solutions' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Game Solutions' );
	}

	if ( 'Payment Gateway' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Payment Getaway' );
	}

	if ( 'Digital Marketing' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Digital Marketing' );
	}

	if ( 'Conference & Event' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Conference & Event' );
	}

	if ( 'Quiety Insurance' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Quiety Insurance' );
	}

	if ( 'Sass Marketing' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title( 'Home - Sass Marketing' );
	}
	
    if ('Agency Home' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Agency Home' );
	}
    
    if ('IT Company' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('IT Company' );
	}
    
    if ('Creative Agency' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Creative Agency' );
	}
    
    if ('Marketing' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Marketing' );
	}
    
    if ('Strategy' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Strategy' );
	}

    if ('AI Home' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('AI Home' );
	}

    if ('Risk Management' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Risk Management' );
	}

    if ('Payment Gateway' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Payment Gateway' );
	}

    if ('Creative Agency 02' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Creative Agency 02' );
	}

    if ('Corporate Agency' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Corporate Agency' );
	}

    if ('Marketplace Agency' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Marketplace Agency' );
	}

    if ('LMS Home' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('LMS Home' );
	}

    if ('Job Finder' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Job Finder' );
	}

    if ('Job Marketing' == $selected_import['import_file_name'] ) {
		$front_page_id = quiety_get_page_title('Job Marketing' );
	}

    $blog_page_id  = quiety_get_page_title( 'Blog' );

    // Set the home page and blog page
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id );
    update_option( 'page_for_posts', $blog_page_id );

}

add_action( 'ocdi/after_import', 'quiety_after_import_setup' );