<?php

// Control core classes for avoid errors
if (class_exists('CSF')) {

	//
	// Set a unique slug-like ID
	$prefix = 'tt_portfolio_options';

	//
	// Create a metabox
	CSF::createMetabox($prefix, array(
		'title'     => esc_html__('Portfolio Option', 'quiety'),
		'context'   => 'normal',
		'post_type' => array('portfolio'),
		'theme'     => 'dark',

	));


	// Footer Menu
	CSF::createSection($prefix, array(
		'title'  => esc_html__('Portfolio Icon', 'quiety'),
		'icon'   => 'fa fa-chat',
		'fields' => array(
			array(
				'id'          => 'portfolio_icon_or_img',
				'type'        => 'select',
				'title'       => 'Select',
				'options'     => array(
				  'icon'  => 'Icon',
				  'img'  => 'Image or SVG',
				),
				'default'     => 'icon'
			),
			array(
				'id'      => 'portfolio-icon',
				'type'    => 'icon',
				'title'   => 'Icon',
				'default' => 'fa fa-chat',
				'dependency' => array( 'portfolio_icon_or_img', '==', 'icon' ),
			),
			array(
				'id'    => 'portfolio-img',
				'type'  => 'media',
				'title' => 'Media',
				'preview' => true,
				'dependency' => array( 'portfolio_icon_or_img', '==', 'img' ),
			),
		)
	));
}
